import request from '@/config/axios'

export const getPage = (params) => {
  return request.get({ url: '/model/pre/influence-factor/page', params })
}

export const getResultPage = (params) => {
  return request.get({ url: '/model/pre/influence-factor/getResultPage', params })
}

export const getInfo = (id) => {
  return request.get({ url: `/model/pre/influence-factor/get/${id}`})
}

export const create = (data) => {
  return request.post({ url: '/model/pre/influence-factor/create', data })
}

export const update = (data) => {
  return request.put({ url: '/model/pre/influence-factor/update', data })
}

export const deleteConfig = (id) => {
  return request.delete({ url: '/model/pre/influence-factor/delete?id=' + id })
}
